Rentals API

List rentals

Retrieves all the rentals associated with your organization, most recent first.

GEThttps://api.airgarage.com/rentals

Query parameters

NameTypeDescription
spot(optional)stringFilter to rentals at a spot, by spot UUID.
renter(optional)stringFilter to rentals created by a renter.
start_date__gte(optional)numberOnly rentals starting at or after this Unix timestamp.
start_date__lt(optional)numberOnly rentals starting before this Unix timestamp.

Headers

NameTypeDescription
X-Api-KeyRequiredstringYour access token.
Example requestbash
curl "https://api.airgarage.com/rentals?spot=dB2YV5Ngco4f7uKjdnGqgQ" \
  -H "X-Api-Key: YOUR_API_KEY"
200 response (truncated)json
{
  "count": 2,
  "next": null,
  "previous": null,
  "results": [
    {
      "uuid": "hT4kQnW2xLmZ8vRbYc3dFa",
      "spot_uuid": "dB2YV5Ngco4f7uKjdnGqgQ",
      "spot_name": "Church of All Saints",
      "renter_email": "driver@example.com",
      "rental_type": "monthly",
      "start_date": 1625167463,
      "end_date": null,
      "cancelled_date": null,
      "source": "YourIntegration",
      "cars_detail": [
        { "pk": 812, "plate": "XY3BAC", "state": "CA", "country": "US" },
        { "pk": 813, "plate": "MR09E3", "state": "CA", "country": "US" }
      ],
      ...
    }
  ]
}